Bug 981847 - Add --downloadcomps/--download-metadata options to reposync man page.
Add --downloadcomps/--download-metadata options to reposync man page.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-06 05:27 EDT by Dean Hunter
Modified: 2014-02-05 17:04 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:04:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dean Hunter 2013-07-06 05:27:49 EDT
Description of problem:

I built a local copy of the fedora and updates repositories.  I have used them to update a number of machines.  I would like to use them install Fedora on a new machine using Anaconda Kickstart.  However, Kickstart references a half dozen or so standard groups for which I am not aware of having the source.  The only documentation I can find is in Section 8.4 of the Fedora 14 Software Management Guide:

  It is important to note that the groups file is not downloaded by reposync.
  Use wget or curl to download it.

Where do I find the group file URL to download?


Version-Release number of selected component (if applicable):

yum-3.4.3-54.fc18.noarch


How reproducible: Consistent


Steps to Reproduce:

# Configure Apache

  yum install --assumeyes httpd

  mkdir /srv/http

  semanage fcontext \
    --add \
    --type httpd_sys_content_t \
    '/srv/http(/.*)?'

  systemctl enable httpd.service
  systemctl start  httpd.service

  firewall-cmd --permanent --zone public --add-service http
  firewall-cmd --reload
  firewall-cmd --list-all

# Create a local copy of the fedora repositories

  yum install --assumeyes yum-utils

  mkdir /srv/http/repos
  ln -s /srv/http/repos /var/www/html/repos

  mkdir /srv/http/repos/fedora18

  cp -p  /etc/yum.conf    /etc/yum.source.conf
  cp -pr /etc/yum.repos.d /etc/yum.source.d

  echo "reposdir=/etc/yum.source.d" >>/etc/yum.source.conf

  reposync \
    --config /etc/yum.source.conf \
    --download_path /srv/http/repos/fedora18 \
    --newest-only \
    --repoid fedora

  createrepo \
    --update /srv/http/repos/fedora18/fedora

  reposync \
    --config /etc/yum.source.conf \
    --download_path /srv/http/repos/fedora18 \
    --newest-only \
    --repoid updates

  createrepo \
    --update /srv/http/repos/fedora18/updates

  cat >/srv/http/repos/local-fedora.repo <<EOD
[local-fedora]
name=Fedora \$releasever - \$basearch - Local
baseurl=http://host.hunter.org/repos/fedora\$releasever/fedora
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-\$basearch
EOD

  cat >/srv/http/repos/local-updates.repo <<EOD
[local-updates]
name=Fedora \$releasever - \$basearch - Local Updates
baseurl=http://host.hunter.org/repos/fedora\$releasever/updates
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-\$basearch
EOD

  wget --output-document /srv/http/repos/Fedora-18-x86_64-netinst.iso \
    http://download.fedoraproject.org/pub/fedora/linux/releases/18/Fedora/x86_64/iso/Fedora-18-x86_64-netinst.iso

# Use the local repository

  yum-config-manager --add-repo http://host.hunter.org/repos/local-fedora.repo
  yum-config-manager --add-repo http://host.hunter.org/repos/local-updates.repo

  yum-config-manager --disable fedora
  yum-config-manager --disable updates

  yum clean all
  yum makecache
  yum repolist

  yum group list


Actual results:

[root@host ~]# yum group list
Loaded plugins: langpacks, presto, refresh-packagekit
Error: No group data available for configured repositories
[root@host ~]# 


Expected results:

[root@host ~]# yum group list
Loaded plugins: langpacks, presto, refresh-packagekit
Available Environment Groups:
   GNOME Desktop
   KDE Plasma Workspaces
   Xfce Desktop
   LXDE Desktop
   Cinnamon Desktop
   MATE Desktop
   Sugar Desktop Environment
   Development and Creative Workstation
   Web Server
   Infrastructure Server
   Basic X Window System
   Minimal Install
Installed Groups:
   Administration Tools
   Cloud Infrastructure
   Design Suite
   Electronic Lab
   Milkymist
   Network Servers
   Office/Productivity
   Robotics
   Sound and Video
   System Tools
   Text-based Internet
Available Groups:
   Authoring and Publishing
   Books and Guides
   Development Tools
   Editors
   Educational Software
   Engineering and Scientific
   Fedora Eclipse
   Games and Entertainment
   LibreOffice
   Medical Applications
   Window Managers
Done
[root@host ~]# 


Additional info:
Comment 1 Dean Hunter 2013-07-06 16:48:56 EDT
"reposync -h" documents an option that is not in the document referenced above or in man reposync; ie. "--downloadcomps".

This command:

  reposync \
    --config /etc/yum.source.conf \
    --download_path /srv/http/repos/fedora18 \
    --downloadcomps \
    --newest-only \
    --repoid fedora

appears to resolve my problem.  Is this correct?  If so, please consider updating the man page for reposync.
Comment 2 James Antill 2013-07-31 16:44:40 EDT
Yeh, you want that or --download-metadata ... and then using -g with createrepo.
Comment 3 Dean Hunter 2013-07-31 16:58:01 EDT
I am still trying  piece all this repository stuff together  and I need a little more help understanding how to use your comment correctly.

1. For reposync, please explain the difference between --downloadcomps and --download-metadata.

2. For createrepo, please explain how to find the group file name to use with the -g option.
Comment 4 Fedora End Of Life 2013-12-21 09:15:40 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 17:04:29 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.